const api = require('../../../utils/api.js');
const util = require('../../../utils/util.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    index: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.req()
  },
  req(){
    let that=this
    wx.request({
      url: api.findProposeList,
      data: { loginId: wx.getStorageSync('loginId'), page: 1, rows:1000},
      success(res){
        let yesData=0,noData=0
        for(let index in res.data.data.data){
          if (res.data.data.data[index].newreply){
            yesData++
          }
          if (!res.data.data.data[index].newreply){
            noData++
          }
        }
        if (that.data.index==0){//全部
          if (res.data.data.Total<20){
            that.data.nodata=false
          }
          that.data.allMsg = res.data.data.data
          that.setData({
            ['allMsg']: res.data.data.data,
            ['yesMsg']: yesData>0?res.data.data.data:'',
            ['noMsg']: noData>0?res.data.data.data:'',

          })
        }
        // if (that.data.index == 1){//已回复
        //   if (res.data.data.Total < 20) {
        //     that.data.nodata = false
        //   }
        //   that.data.yesMsg = res.data.data.data
        //   that.setData({
        //     ['yesMsg']: res.data.data.data
        //   })
        // }
        // if (that.data.index == 1) {//未回复
        //   if (res.data.data.Total < 20) {
        //     that.data.nodata = false
        //   }
        //   that.data.noMsg = res.data.data.data
        //   that.setData({
        //     ['noMsg']: res.data.data.data
        //   })
        // }
      }
    })
  },
  // 左右滑动切换
  swiper: function (e) {
    this.setData({
      index: e.detail.current
    })
  },
  // tab切换
  tab: function (e) {
    let that = this
    that.setData({
      index: e.currentTarget.dataset.index,
      current_index: e.currentTarget.dataset.index,
    })
  },
  detail:function(e){
    wx.navigateTo({
      url: '../proposalDetails/proposalDetails?id='+e.currentTarget.dataset.id,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})